package cn.fw.dalaran.domain.db;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/4/28 15:43
 * @Description 配置组
 */
@Data
public class ConfigGroup {
    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 创建该配置的用户id
     */
    private Long userId;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 该配置适用门店id集合
     */
    private String shopIds;
    /**
     * 该配置适用门店名集合
     */
    private String shopNames;
    /**
     * 视频占比指标表关联id
     */
    private Long evlVideoId;
    /**
     * 视频占比指标表关联id
     */
    private Long evlLiveId;
    /**
     * 最低指标关联id
     */
    private String validIds;
    /**
     * 最低指标关联id
     */
    private String configIds;
    /**
     * 全部门店(-2:初始化, -1:授权范围内, 0:否, 1:是)
     */
    private Integer allShop;
    /**
     * 创建时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
