package cn.fw.dalaran.domain.db;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022-06-08 09:14:51
 * @Description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
public class LiveCheckResult implements Serializable {
	/**
	 * 主键id
	 */
	@TableId(type = IdType.AUTO)
	private Long id;
	/**
	 * 主题id
	 */
	private Long themeId;
	/**
	 * 用户id
	 */
	private Long userId;
	/**
	 * 门店id
	 */
	private Long shopId;
	/**
	 * 最佳直播id
	 */
	private Long liveId;
	/**
	 * 是否空挂(-1:未选择, 0:否, 1:是)
	 */
	private Integer counterfeit;
	/**
	 * 是否付费(0:否, 1:是)
	 */
	private Integer pay;
	/**
	 * 是否有效直播(0:否, 1:是)
	 */
	private Integer valid;
	/**
	 * 状态(-1:初始化, 0:草稿, 1:完成审计)
	 */
	private Integer status;
	/**
	 * 审查意见
	 */
	private String opinion;
	/**
	 * 创建时间
	 */
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;
	/**
	 * 更新时间
	 */
	@TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
	private Date updateTime;
}
