package cn.fw.dalaran.domain.db.config;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.dalaran.domain.enums.SubTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author kurisu
 * @date 2021-11-18 11:07
 * @description 评价子指标
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString(callSuper = true)
public class EvlSubIndex extends BaseAuditableTimeEntity<EvlSubIndex, Long> {
    /**
     * 指标id
     */
    private Long evlId;
    /**
     * 子指标类型
     */
    private SubTypeEnum subType;
    /**
     * 占比 （%）
     */
    private BigDecimal rate;

    public static EvlSubIndex initBean(SubTypeEnum type, Long evlId, BigDecimal rate) {
        EvlSubIndex evlSubIndex = new EvlSubIndex();
        evlSubIndex.setEvlId(evlId);
        evlSubIndex.setSubType(type);
        evlSubIndex.setRate(rate);
        return evlSubIndex;
    }
}
