package cn.fw.dalaran.domain.vo;

import cn.fw.dalaran.domain.enums.AccountStatusEnum;
import cn.fw.dalaran.domain.enums.PlatformEnum;
import lombok.Data;

import java.util.Date;
import java.util.Objects;

@Data
public class AccountVO {
    private Long id;
    /**
     * 账号
     */
    private String account;
    /**
     * 平台类型
     */
    private PlatformEnum type;
    /**
     * 账号类型(0:个人账号, 1:门店账号)
     */
    private Integer accountType;
    /**
     * 账号状态(-1:已离职, 0:未上班, 1:上班中)
     */
    private AccountStatusEnum accountStatus;
    /**
     * 是否有效
     */
    private Boolean valid;
    /**
     * 是否已通过认证
     */
    private Boolean affirm;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 创建时间
     */
    private Date createTime;

    public Integer getType() {
        return type.getValue();
    }

    public String getTypeDesc() {
        return type.getName();
    }

    public String getAccountTypeDesc() {
        return Objects.equals(0, accountType) ? "个人" : "门店";
    }

    public String getAccountStatusDesc() {
        return accountStatus.getName();
    }
}
