package cn.fw.dalaran.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/6/7 11:03
 * @Description
 */
@Data
public class LiveCheckVo {
    /**
     * 主题详情
     */
    private ActivityThemeVo theme;
    /**
     * 待审核直播列表
     */
    private List<LiveSummary> liveList;

    /**
     * 待审核直播
     */
    @Data
    public static class LiveSummary {
        /**
         * 主键id
         */
        private Long id;
        /**
         * 最佳直播id
         */
        private Long liveId;
        /**
         * 直播标题
         */
        private String title;
        /**
         * 直播回放地址
         */
        private String playbackUrl;
        /**
         * 是否空挂(-1:未选择, 0:否, 1:是)
         */
        private Integer counterfeit;
        /**
         * 是否付费(0:否, 1:是)
         */
        private Integer pay;
        /**
         * 是否有效直播(0:否, 1:是)
         */
        private Integer valid;
        /**
         * 审查意见
         */
        private String opinion;
        /**
         * 审查文件信息
         */
        private List<FileDesc> allFileDesc;
    }
}
