package cn.fw.dalaran.rpc.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2021/9/17 14:26
 * @Description
 */
@Data
public class StaffInfoRpc {

    /**
     * 用户id
     */
    private Long id;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 工号
     */
    private Long jobNo;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 婚姻状况
     */
    private Integer maritalStatus;

    /**
     * 文化程度
     */
    private Integer eduLevel;

    /**
     * 姓名
     */
    private String name;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 微信二维码
     */
    private String wxQrCode;

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 性别1男2女
     */
    private Integer gender;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 地址
     */
    private String address;

    /**
     * 入职时间
     */
    private Date entryDate;

    /**
     * 转正时间
     */
    private Date regularDate;

    /**
     * 离职时间
     */
    private Date leaveDate;

    /**
     * 员工状态 1试用期2在职3待离职9离职 {@link cn.fw.ehr.sdk.api.enums.StaffStatusEnum}
     */
    private Integer staffStatus;

    /**
     * 基本工资
     */
    private BigDecimal baseSalary;

    /**
     * 民族
     */
    private String nation;

    /**
     * 民族类型 StaffNationTypeEnum
     */
    private Integer nationType;

    /**
     * 公务卡
     */
    private String officialCard;

    /**
     * 银行卡
     */
    private String bankCard;

    /**
     * 银行卡名
     */
    private String bankName;

    /**
     * 公务卡名
     */
    private String officialName;

    /**
     * 银行卡总行名
     */
    private String headBankName;

    /**
     * 银行卡总行码
     */
    private String headBankCode;

    /**
     * 公务卡总行名
     */
    private String headOfficialName;

    /**
     * 公务卡总行码
     */
    private String headOfficialCode;

}
