package cn.fw.dalaran.rpc.erp.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @program: fw-attendance->TaskSetReq
 * @description: 定时任务参数
 * @author: ZFC
 * @create: 2021-09-23
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
public class TaskSetReq<T> {
    @NotBlank(message = "system不能为空")
    private String system;
    /**
     * 系统附属
     */
    private String attach;

    @NotBlank(message = "tag不能为空")
    private String tag;
    /**
     * 执行时间
     */
    private Date executeTime;

    /**
     * corn 表达式
     */
    private String corn;

    /**
     * 执行参数
     */
    private T param;

    /**
     * 备注
     */
    private String remark;
}
