package cn.fw.dalaran.service.data;

import cn.fw.dalaran.domain.db.LivePool;
import cn.fw.dalaran.domain.dto.PoolQueryDTO;
import cn.fw.dalaran.domain.vo.LivePoolVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * @author kurisu
 * @date 2021-11-17 14:54
 * @description 直播池service
 */
public interface LivePoolService extends IService<LivePool> {
    /**
     * 根据账号删除对应时间的数据
     *
     * @param accountId
     * @param date
     */
    void removeAccountDataByDate(Long accountId, LocalDate date);

    /**
     * 查询直播池列表
     *
     * @param queryDTO
     * @return
     */
    List<LivePoolVO> liveList(PoolQueryDTO queryDTO);

    /**
     * 查询直播数
     *
     * @param queryDTO
     * @return
     */
    long liveCount(PoolQueryDTO queryDTO);

    /**
     * 获取主题活动员工有效直播数
     *
     * @param userId  用户id
     * @param themeId 活动主题id
     * @return 有效直播数
     */
    Integer getValidLiveCnt(Long userId, Long themeId);

    /**
     * 设置最佳直播
     *
     * @param liveId 直播数据id
     * @return
     */
    boolean markBestLive(Long liveId);
}
